Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#41 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 10 September 2009 - 11:46 AM

Tue oi!cho mình hỏi chỗ này tí xíu!bữa trước mình có nhờ TUE viết dùm cái LISP vạt góc đó!
(setq ans (getkword
"\n <1> : Cac duong deu la LINE hoac PLINE/ <2> : PLINE co 1 phan doan la arc : <1/2> : "))
)

chỗ này nè!mình muốn mặc định là trường hợp 1 luôn, còn trường hợp 2 khi nào cần thì mình sẽ nhấn số 2, vì mình chủ yếu xài trường hợp 1 là nhiều!mỗi lần như vậy mình phải bấm lại số 1 nữa,mình muốn enter 1 cái thì nó sẽ hiểu là trường hợp 1 liền!nhờ TUE chỉ giúp cho mình với!
LISP đó nằm ở Phần 1 đó:bài 2607
http://www.cadviet.c...o...205&st=2600
Thanks TUE nhiều!

Của bạn đây :
Thay số 1 bằng cách ấn Enter nhé :

(defun c:gktvg(/ oldos ans po ss prad prac p11 p1 p2 p22 inte ss1 po poo)
(vl-load-com)
(setq oldos (getvar "osmode"))
(setvar "osmode" 2999)

(initget "2")
(setq ans (getkword
"\n : Cac duong deu la LINE hoac PLINE/ <2> : PLINE co 1 phan doan la arc : : "))

(if (not ans)
(progn
(setq po (getpoint "\n Pick chon mot diem tren canh vat goc :"))

(setq ss (car(nentselp po)))
(if (and (= (cdr(assoc 0 (entget ss))) "LWPOLYLINE") (>= (cdr(assoc 90 (entget ss))) 4))
(progn
(setq prad (fix (vlax-curve-getParamAtPoint ss po)))

(setq p11 (vlax-curve-getPointAtParam ss (- prad 1)))
(setq p1 (vlax-curve-getPointAtParam ss prad))
(setq p2 (vlax-curve-getPointAtParam ss (+ prad 1)))
(setq p22 (vlax-curve-getPointAtParam ss (+ prad 2)))
(setq inte (inters p11 p1 p2 p22 nil))
(setvar "osmode" 0)
(command "dimaligned" p1 inte pause)
(command "dimaligned" p2 inte pause)
);progn
);if

(if (= (cdr(assoc 0 (entget ss))) "LINE")
(progn
(prompt "\n Chon 3 duong vat goc : duong thu nhat, duong thu hai va duong vat goc:")
(setq ss1 (ssget))

(command "pedit" "m" ss1 "" "y" "j" "10" "")
(setq ss (ssname (ssget "L") 0))

(setq prad (fix (vlax-curve-getParamAtPoint ss po)))

(setq p11 (vlax-curve-getPointAtParam ss (- prad 1)))
(setq p1 (vlax-curve-getPointAtParam ss prad))
(setq p2 (vlax-curve-getPointAtParam ss (+ prad 1)))
(setq p22 (vlax-curve-getPointAtParam ss (+ prad 2)))
(setq inte (inters p11 p1 p2 p22 nil))
(setvar "osmode" 0)
(command "dimaligned" p1 inte pause)
(command "dimaligned" p2 inte pause)

(command "explode" ss "")

);progn
);if
(setvar "osmode" oldos)
);progn
);if

(if (= ans "2")
(progn
(setvar "osmode" 2)
(setq po (getpoint "\n Pick chon trung diem canh vat goc :"))
(setvar "osmode" 2999)
(setq p1 (getpoint "\n Pick chon mot diem tren duong thang :"))
(setq ss (car(nentselp po)))
(setq prac (fix (vlax-curve-getParamAtPoint ss p1)))
(setq p11 (vlax-curve-getPointAtParam ss prac))

(setq prad (fix (vlax-curve-getParamAtPoint ss po)))
(setq p2 (vlax-curve-getPointAtParam ss prad))
(setq p22 (vlax-curve-getPointAtParam ss (+ prad 1)))

(setq ang (+ (angle '(0 0 0)
(vlax-curve-getFirstDeriv ss (vlax-curve-getParamAtPoint ss po))) (/ pi 2)))

(setq poo (polar po ang 100))

(setq inte (inters p11 p1 po poo nil))
(setvar "osmode" 0)
(command "dimaligned" p2 inte pause)
(command "dimaligned" p22 inte pause)
))

(princ)
)

  • 2

#42 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 10 September 2009 - 12:12 PM

Của bạn đây :
Thay số 1 bằng cách ấn Enter nhé :

mình load lên, gõ lệnh nó báo lỗi TUE ơi!
Command: gktvg
; error: too many arguments

TUE kiem tra lại dùm mình tí nhen!thanks!
  • 0

#43 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 10 September 2009 - 01:11 PM

Thiep cho mình làm phiền thêm tí nữa nhé!LISP TN đó!mình mún bỏ ko thể hiện độ dốc thì sửa sao?chỉ cần thể hiện 2 thông số đầu thôi!làm fien tí nhé! :s_big:

truongthanh bỏ dòng mã sau:
dodoc (/ 1000 dk)
và dòng mã:
" - i"
(rtos dodoc 2 2)
  • 2

#44 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 10 September 2009 - 02:04 PM

Chào Thiep!
Có lẽ Thiep hiểu sai ý của mình rồi. Sau khi mình chạy lisp nó cũng xuất hiện 1 cửa sổ, nhưng thay vì cửa sổ có chức nằng mở file có sẵn thì thay thế bằng cửa sổ có chức năng lưu file vào thư mục nào? Còn nếu tự động lưu thì lưu vào thư mục chứa file của cad đang dùng lấy toạ độ. Cảm ơn Thiệp đã giúp đỡ!

Chào CH1003, Lisp chỉnh sửa này sẽ cho phép người dùng tự tạo một file mới để ghi dữ liệu, nếu chọn file có sẵn nó sẽ ghi dữ liệu đè lên file cũ. Nên nhớ rằng lisp yêu cầu mở thư mục để tạo file trước khi yêu cầu người dùng pick point:
(defun SAVE_MODE ()
(command "UCS" "W" "")
(setq OLD_OSMODE (getvar "OSMODE"))
(setvar "cmdecho" 0)
(setvar "blipmode" 1)

)
(defun RESTORE ()
(setvar "osmode" OLD_OSMODE)
(setvar "cmdecho" 1)
(setvar "blipmode" 0)
)
(defun c:gtd (/ ST fn f x1 y1)
(setq fn (getfiled "Tao file ghi toa do: " "D:/" "tdo" 1))
(setq f (open fn "w"))
(setq ST 1)
(SAVE_MODE)
(setvar "osmode" 0)
(while (setq pt (getpoint "Pick point: "))
(setq x1 (rtos (car pt) 2 4)
y1 (rtos (cadr pt) 2 4)
)
(write-line (strcat (itoa ST) "\t" x1 "\t" y1) f)
(setq ST (1+ ST))
(terpri)
)
(close f)
(RESTORE)
(redraw)
(print)
)

Lisp tạm thời mở hộp thoại "tạo file ghi toa do" tại thư mục gốc là D:, còn người dùng muốn ghi vào đâu thì tùy, còn muốn thường xuyên ghi vào 1 thư mục nào đó, thì sửa lại dòng này: "D:/"
Ví dụ, CH1003 muốn ghi vào thư mục đã có sẵn: "E:/Conghoan1003/data/" chẳng hạn. Còn trên máy người dùng chưa có thư mục như ví dụ trên, thì lisp sẽ mở thư mục "My documents" :s_big:
  • 3

#45 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 10 September 2009 - 02:07 PM

mình load lên, gõ lệnh nó báo lỗi TUE ơi!
Command: gktvg
; error: too many arguments

TUE kiem tra lại dùm mình tí nhen!thanks!

Bạn test lại xem nhé : http://www.cadviet.c...les/2/gktvg.lsp
  • 1

#46 dovanlinh

dovanlinh

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 10 September 2009 - 03:56 PM

Em chào các anh. em muốn hỏi khi viêt lisp muốn chon điểm là điểm gốc của đối tượng dtext thì phải dùng hàm như thế nào?
  • 0
49XD1

#47 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 10 September 2009 - 04:15 PM

cám ơn bạn,mình vẩn ko làm được....đây là file mẩu của mình,mong các bạn giúp đở..
http://www.cadviet.c...pfiles/2/vd.dwg

em xin 1 lisp thực hiện như trong hình..
http://www.cadviet.c...iles/2/vd_3.dwg
em cám ơn nhiều... :s_big:

Chào Kamezoko,
Trước hết Thiep đề nghị định dạng lại bản vẽ của bạn như sau:
Các điểm đo là đối tượng POINT được đặt trong lớp "DIEM"
Các ký hiệu điểm đo là đối tượng TEXT được đặt trong lớp "TENDIEM"
Các cao độ điểm đo là đối tượng TEXT được đặt trong lớp "CAODO"
Các ký hiệu điểm đo phải là một ký tự chữ kèm với 1 số tự nhiên tăng dần. ví dụ: đường chuyền đa giác 1: I.1, I.2, I.3... I.100, đường chuyền đa giác 2: H-1, H-2, H-3 ... H-100, không được là II.1, II.2, II.3 ...Nếu bạn lỡ ký hiệu như vậy thì dùng chức năng find and replace của CAD để chỉnh sửa lại.
Lisp sẽ tự động dò các điểm có ký hiệu cùng 1 kiểu đường chuyền sẽ nối với nhau thành một 3dpolyline
Thiep dùng lisp JD của bác Hoanh chỉnh sửa lại cho phù hợp với bạn hơn.
Các bạn trắc địa dùng và cho ý kiến nhé:
;;;===============================================
;;; Lisp tao duong chuyen 3DPOLYLINE
;;; Update: 09/09/2009
;;; Free from CADVIET.COM
(defun 3DPoly (Lp *ModelSpace* / PntArr)
(setq PntArr (vlax-make-safearray
vlax-vbDouble
(cons 0 (1- (length Lp)))
)
)
(vlax-safearray-fill PntArr Lp)
(vla-Add3Dpoly *ModelSpace* PntArr)
)
;;;---------------------
(defun SAVE_MODE ()
(command "UCS" "W" "")
(setq OLD_OSMODE (getvar "OSMODE")
OLD_CECOLOR (getvar "CECOLOR")
OLD_AUTOSNAP (getvar "AUTOSNAP")
OLD_ORTHOMODE (getvar "ORTHOMODE")
)
(setvar "osmode" 0)
(setvar "cmdecho" 0)
(setvar "plinegen" 1)

)
(defun RESTORE ()
(setvar "osmode" OLD_OSMODE)
(setvar "AUTOSNAP" OLD_AUTOSNAP)
(setvar "ORTHOMODE" OLD_ORTHOMODE)
(setvar "CECOLOR" OLD_CECOLOR)
(setvar "cmdecho" 1)
)
;;;------------------------------------
(defun timgan (p lst / dmin ppluu)
(foreach pp lst
(setq d (distance p (car pp)))
(if (or (not dmin) (> dmin d))
(setq dmin d
ppluu pp
)
)
)
(cdr ppluu)
)

(defun filter (lstent otype olayer / kq)
(foreach pp lstent
(setq tt (entget pp))
(if (and
(member (cons 0 otype) tt)
(member (cons 8 olayer) tt)
)
(setq kq (append kq (list pp)))
)
)
kq
)
(defun ss2ent(ss / sodt index lstent)
(setq
sodt (if ss (sslength ss) 0)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)
;;;===============================================
(vl-load-com)
(defun c:jd (/ ss lstent lstcode lstpoint lstponew lstassoc
lstass pc code p lstPLY p0
lstponew co n
)
(setq ActDoc (vla-get-ActiveDocument (vlax-get-acad-object))
*Model* (vla-get-ModelSpace ActDoc)
*layer* (vla-get-Layers ActDoc)
)
(vla-StartUndoMark ActDoc)
(if (not (setq enlay (tblobjname "layer" "DUONGCHUYEN")))
(setq lay (vla-add *layer* "DUONGCHUYEN"))
(progn
(setq lay (vlax-ename->vla-object enlay))
(setq lay (vla-add *layer* "DUONGCHUYEN"))
)
)
(vla-put-color lay acRed)
(vla-put-Linetype lay "continuous")
(setvar "clayer" "DUONGCHUYEN")
(SAVE_MODE)
(setq
ss (ssget
'((-4 . " (-4 . " (0 . "POINT")
(8 . "DIEM")
(-4 . "AND>")
(-4 . " (0 . "TEXT")
(8 . "TENDIEM")
(-4 . "AND>")
(-4 . "OR>")
)
)
lstent (ss2ent ss)
lstcode (mapcar '(lambda (e)
(cons (cdr (assoc 10 (entget e)))
(cdr (assoc 1 (entget e)))
)
)
(filter lstent "TEXT" "TENDIEM")
)
lstpoint (mapcar '(lambda (e) (cdr (assoc 10 (entget e))))
(filter lstent "POINT" "DIEM")
)
lstpoint (mapcar '(lambda (p)
(cons (timgan p lstcode) p)
)
lstpoint
)
)
(setq lstpoint
(vl-sort
lstpoint
'(lambda (e1 e2)
(< (car e1)
(car e2)
)
)
)
)
(foreach pn lstpoint
(setq lstponew
(cons (cons (read (substr (car pn) 1 1)) (list (cdr pn)))
lstponew
)
)
(setq lstassoc (cons (substr (car pn) 1 1) lstassoc))
)
(setq lstponew (reverse lstponew))
(while lstassoc
(setq lstass (cons (car lstassoc) lstass)) ;flag
(setq lstassoc (vl-remove (car lstassoc) lstassoc))
)
(setq n 1)
(foreach flag lstass
(setq lstPLY nil)
(while (setq co (assoc (read flag) lstponew))
(setq lstPLY (append (cadr co) lstPLY))
(setq lstponew (vl-remove co lstponew))
)
(vla-put-color (3DPoly lstPLY *Model*) n)
(setq n (1+ n))
)
(RESTORE)
(princ)
)

Còn đây là bản vẽ Thiep đã test:
http://www.cadviet.c...es/2/vd_3_1.dwg
  • 2

#48 vqhnb

vqhnb

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 September 2009 - 06:58 PM

Nhờ các cao thủ giúp mình một lisp như này.
đây là file bản vẽ minh hoạ
http://www.cadviet.c..._doi_cao_do.dwg
  • 0

#49 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 11 September 2009 - 12:22 AM

Em chào các anh. em muốn hỏi khi viêt lisp muốn chon điểm là điểm gốc của đối tượng dtext thì phải dùng hàm như thế nào?


Không biết điểm gốc của đối tượng dtext theo ý bạn là điểm nào trong 2 điểm sau:
- điểm bắt đầu của đối tượng Dtext, nó nằm ở góc dưới bên trái mỗi đối tượng dtext. Điểm này có mã DXF là 10
- điểm Justify của đối tượng Dtext, nó nằm ở một trong các vị trí: Left, center, right, top left, top center ... của text. Điểm này có mã DXF là 11.

Mình lấy ví dụ cho trường hợp 1 nhé. trường hợp 2 cũng tương tự.

(setq DT (entsel "\nChon text"))
(setq Pt (cdr(assoc 10 (entget(car DT)))))


@vqhnb: Lisp bạn cần mình nhớ ở diễn đàn đã có. bạn PHẢI TÌM KIẾM TRƯỚC khi post yêu cầu nhé (dùng hộp thoại tìm kiếm). nếu vì một lý do nào đó lisp đã có trên diễn đàn chưa phù hợp với nhu cầu của bạn thì hãy post yêu cầu đê mọi người sửa giúp bạn.
  • 2

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#50 conghoan1003

conghoan1003

    biết vẽ point

  • Members
  • PipPip
  • 99 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 September 2009 - 08:20 AM

Chào CH1003, Lisp chỉnh sửa này sẽ cho phép người dùng tự tạo một file mới để ghi dữ liệu, nếu chọn file có sẵn nó sẽ ghi dữ liệu đè lên file cũ. Nên nhớ rằng lisp yêu cầu mở thư mục để tạo file trước khi yêu cầu người dùng pick point:

(defun SAVE_MODE ()
(command "UCS" "W" "")
(setq OLD_OSMODE (getvar "OSMODE"))
(setvar "cmdecho" 0)
(setvar "blipmode" 1)

)
(defun RESTORE ()
(setvar "osmode" OLD_OSMODE)
(setvar "cmdecho" 1)
(setvar "blipmode" 0)
)
(defun c:gtd (/ ST fn f x1 y1)
(setq fn (getfiled "Tao file ghi toa do: " "D:/" "tdo" 1))
(setq f (open fn "w"))
(setq ST 1)
(SAVE_MODE)
(setvar "osmode" 0)
(while (setq pt (getpoint "Pick point: "))
(setq x1 (rtos (car pt) 2 4)
y1 (rtos (cadr pt) 2 4)
)
(write-line (strcat (itoa ST) "\t" x1 "\t" y1) f)
(setq ST (1+ ST))
(terpri)
)
(close f)
(RESTORE)
(redraw)
(print)
)

Lisp tạm thời mở hộp thoại "tạo file ghi toa do" tại thư mục gốc là D:, còn người dùng muốn ghi vào đâu thì tùy, còn muốn thường xuyên ghi vào 1 thư mục nào đó, thì sửa lại dòng này: "D:/"
Ví dụ, CH1003 muốn ghi vào thư mục đã có sẵn: "E:/Conghoan1003/data/" chẳng hạn. Còn trên máy người dùng chưa có thư mục như ví dụ trên, thì lisp sẽ mở thư mục "My documents" :s_big:

Cảm ơn Thiêp nha! Lisp chạy tốt lắm.
Thiep có thể làm thêm mình một cái nữa nhé, Mình muốn kết hợp lisp đánh số thứ tự của các point và sau đó xuất các toạ độ của các point này ra một file .tdo. Fiile .tdo gồm có stt (là số vừa đánh) và toạ độ của point. Toạ độ thì có 2 sự chọn lựa 2D (x,y) hay 3D(x,y,z) tuỳ chọn.
Lisp đánh số thứ tự point (sưu tầm từ cadviet) nè: http://www.cadviet.c..._point_sttp.lsp
Cái lisp đánh số thứ tự này đánh từ trái sang phải, Thiep có thể chỉnh lại để nó sắp xếp từ trên xuống cho mình với, mình cần đánh số thứ tự từ trên xuống.
Cảm ơn nhiều! Chúc Thiep sức khoẻ!
  • 0
Học học nữa học mãi.
Đúp học lại!

#51 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 September 2009 - 08:45 AM

Lisp đánh số thứ tự point (sưu tầm từ cadviet) nè: http://www.cadviet.c..._point_sttp.lsp
Cái lisp đánh số thứ tự này đánh từ trái sang phải, Thiep có thể chỉnh lại để nó sắp xếp từ trên xuống cho mình với, mình cần đánh số thứ tự từ trên xuống.

Bạn sửa lại hàm sosanh. Dòng màu đỏ là sửa lại

(defun sosanh (ent1 ent2 / p1 p2 x1 y1 x2 y2)
(setq
p1 (getp ent1)
x1 (car p1)
y1 (cadr p1)
p2 (getp ent2)
x2 (car p2)
y2 (cadr p2)
)
(or (> y1 y2)
(and (= y1 y2) (> x1 x2))

)
)
  • 1

#52 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 11 September 2009 - 10:21 AM

Cảm ơn Thiêp nha! Lisp chạy tốt lắm.
Thiep có thể làm thêm mình một cái nữa nhé, Mình muốn kết hợp lisp đánh số thứ tự của các point và sau đó xuất các toạ độ của các point này ra một file .tdo. Fiile .tdo gồm có stt (là số vừa đánh) và toạ độ của point. Toạ độ thì có 2 sự chọn lựa 2D (x,y) hay 3D(x,y,z) tuỳ chọn.
Lisp đánh số thứ tự point (sưu tầm từ cadviet) nè: http://www.cadviet.c..._point_sttp.lsp
Cái lisp đánh số thứ tự này đánh từ trái sang phải, Thiep có thể chỉnh lại để nó sắp xếp từ trên xuống cho mình với, mình cần đánh số thứ tự từ trên xuống.
Cảm ơn nhiều! Chúc Thiep sức khoẻ!

Chao CH1003, sau khi dùng lisp đánh số thứ tự điểm từ trên xuống mà Tue_NV vừa giúp chỉnh sửa, CH1003 có thể dùng các lisp export text, export điểm có trên diễn đàn:
http://www.cadviet.c...&...ost&p=20741
hoặc: http://www.cadviet.c...&...post&p=1260
  • 0

#53 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 11 September 2009 - 10:54 AM

Cảm ơn Thiêp nha! Lisp chạy tốt lắm.
Thiep có thể làm thêm mình một cái nữa nhé, Mình muốn kết hợp lisp đánh số thứ tự của các point và sau đó xuất các toạ độ của các point này ra một file .tdo. Fiile .tdo gồm có stt (là số vừa đánh) và toạ độ của point. Toạ độ thì có 2 sự chọn lựa 2D (x,y) hay 3D(x,y,z) tuỳ chọn.
Lisp đánh số thứ tự point (sưu tầm từ cadviet) nè: http://www.cadviet.c..._point_sttp.lsp
Cái lisp đánh số thứ tự này đánh từ trái sang phải, Thiep có thể chỉnh lại để nó sắp xếp từ trên xuống cho mình với, mình cần đánh số thứ tự từ trên xuống.
Cảm ơn nhiều! Chúc Thiep sức khoẻ!

Hề hề, chào bác Conghoan1003,
Bác theo đuổi cái thằng líp này cũng kha khá thời gian rồi nhỉ. Với sự giúp sức của các bác Thiep, Tue_NV, hy vọng bác sẽ có thể tự giải quyết được cái yêu cầu bác đặt ra. Thực tế trong công việc của bác dùng lisp khá nhiều, bác hãy mạnh dạn làm thử vài cái là sẽ quen dần thôi. Lisp cũng không quá khó khăn đâu đối với những người đã có nền kiến thức tốt như bác. Khi bác co thể tự làm được những thằng lisp nho nhỏ này, bác sẽ thấy yêu đời hơn khá nhiều và cũng sẽ đỡ bị phụ huộc hơn trong công việc bác ạ.
Theo yêu cầu của bác thì cái phần đánh số thứ tự điểm theo trật tự bác Tue_NV đã bày rồi, còn phần xuất ra file đã có cái lisp của bác Thiep, bây giờ bác chỉ phải ghép chúng lại với nhau và thay đổi chút xíu trong cái nội dung xuất ra cho phù hợp với yêu cầu của bác thôi mà. Hãy thử xem bác nhé. Rất mong bác thành công.
Nếu trong quá trình bác chơi thử, có chỗ nào trục trặc thì bác cứ tống nó lên diễn đàn, mọi ngưòi sẽ gỡ giúp bác ngay bác ạ.
Chào bác, mong bác chơi thiệt hay mọi nhẽ.
  • 5
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#54 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 11 September 2009 - 12:31 PM

Hề hề, chào bác Conghoan1003,
Bác theo đuổi cái thằng líp này cũng kha khá thời gian rồi nhỉ. Với sự giúp sức của các bác Thiep, Tue_NV, hy vọng bác sẽ có thể tự giải quyết được cái yêu cầu bác đặt ra. Thực tế trong công việc của bác dùng lisp khá nhiều, bác hãy mạnh dạn làm thử vài cái là sẽ quen dần thôi. Lisp cũng không quá khó khăn đâu đối với những người đã có nền kiến thức tốt như bác. Khi bác co thể tự làm được những thằng lisp nho nhỏ này, bác sẽ thấy yêu đời hơn khá nhiều và cũng sẽ đỡ bị phụ huộc hơn trong công việc bác ạ.
Theo yêu cầu của bác thì cái phần đánh số thứ tự điểm theo trật tự bác Tue_NV đã bày rồi, còn phần xuất ra file đã có cái lisp của bác Thiep, bây giờ bác chỉ phải ghép chúng lại với nhau và thay đổi chút xíu trong cái nội dung xuất ra cho phù hợp với yêu cầu của bác thôi mà. Hãy thử xem bác nhé. Rất mong bác thành công.
Nếu trong quá trình bác chơi thử, có chỗ nào trục trặc thì bác cứ tống nó lên diễn đàn, mọi ngưòi sẽ gỡ giúp bác ngay bác ạ.
Chào bác, mong bác chơi thiệt hay mọi nhẽ.


Em thấy Bác phamthanhbinh nói đúng đó. Biết một chút về lisp sẽ rất chủ động trong công việc. Autolisp cũng là ngôn ngữ tương đối đơn giản, trực quan và dễ học. Bác Conghoan1003 cứ thử xem, thành công rồi có thể bác sẽ nghiện luôn đó :s_big:
  • 2

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#55 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 11 September 2009 - 02:05 PM

Em thấy Bác phamthanhbinh nói đúng đó. Biết một chút về lisp sẽ rất chủ động trong công việc. Autolisp cũng là ngôn ngữ tương đối đơn giản, trực quan và dễ học. Bác Conghoan1003 cứ thử xem, thành công rồi có thể bác sẽ nghiện luôn đó :s_big:

Nói thiệt với các bạn chứ mình cũng rất muốn biết 1 tí j về LISP!nhưng mà mình nhìn 1 cái LISP mà TUE hoặc là THIEP viết dùm mình thì mình thấy rất là nhiều chi tiết nên mình ko biết bắt đầu từ đâu (mình ko biết nó có dàn bài như thế nào ko?hoặc là cấu trúc như thế nào nữa?)mình nghỉ đó là tâm lý chung của người yêu LISP, muốn học LISP nhưng ko có phương hướng!Mong các bạn có kinh nghiệm chia sẽ dùm mình!thân!
  • 0

#56 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 11 September 2009 - 02:14 PM

Em thấy Bác phamthanhbinh nói đúng đó. Biết một chút về lisp sẽ rất chủ động trong công việc. Autolisp cũng là ngôn ngữ tương đối đơn giản, trực quan và dễ học. Bác Conghoan1003 cứ thử xem, thành công rồi có thể bác sẽ nghiện luôn đó :s_big:

Nói thiệt với các bạn chứ mình cũng rất muốn biết 1 tí j về LISP!nhưng mà mình nhìn 1 cái LISP mà TUE hoặc là THIEP viết dùm mình thì mình thấy rất là nhiều chi tiết nên mình ko biết bắt đầu từ đâu (mình ko biết nó có dàn bài như thế nào ko?hoặc là cấu trúc như thế nào nữa?)mình nghỉ đó là tâm lý chung của người yêu LISP, muốn học LISP nhưng ko có phương hướng!Mong các bạn có kinh nghiệm chia sẽ dùm mình!thân!
  • 0

#57 conghoan1003

conghoan1003

    biết vẽ point

  • Members
  • PipPip
  • 99 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 September 2009 - 02:17 PM

Hề hề, chào bác Conghoan1003,
Bác theo đuổi cái thằng líp này cũng kha khá thời gian rồi nhỉ. Với sự giúp sức của các bác Thiep, Tue_NV, hy vọng bác sẽ có thể tự giải quyết được cái yêu cầu bác đặt ra. Thực tế trong công việc của bác dùng lisp khá nhiều, bác hãy mạnh dạn làm thử vài cái là sẽ quen dần thôi. Lisp cũng không quá khó khăn đâu đối với những người đã có nền kiến thức tốt như bác. Khi bác co thể tự làm được những thằng lisp nho nhỏ này, bác sẽ thấy yêu đời hơn khá nhiều và cũng sẽ đỡ bị phụ huộc hơn trong công việc bác ạ.
Theo yêu cầu của bác thì cái phần đánh số thứ tự điểm theo trật tự bác Tue_NV đã bày rồi, còn phần xuất ra file đã có cái lisp của bác Thiep, bây giờ bác chỉ phải ghép chúng lại với nhau và thay đổi chút xíu trong cái nội dung xuất ra cho phù hợp với yêu cầu của bác thôi mà. Hãy thử xem bác nhé. Rất mong bác thành công.
Nếu trong quá trình bác chơi thử, có chỗ nào trục trặc thì bác cứ tống nó lên diễn đàn, mọi ngưòi sẽ gỡ giúp bác ngay bác ạ.
Chào bác, mong bác chơi thiệt hay mọi nhẽ.

Cảm ơn mọi người đã nhắc nhở!
Mình cũng đang cố gắng để có thể làm ra một cái gì đó nhưng mà quả thật mới bắt đầu nên gặp nhiều khó khăn quá. Mong mọi người thông cảm! Hy vọng thời gian không xa mình sẽ viết được món này! Chúc anh e diễn đàn sức khoẻ!
  • 0
Học học nữa học mãi.
Đúp học lại!

#58 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 11 September 2009 - 02:53 PM

Nói thiệt với các bạn chứ mình cũng rất muốn biết 1 tí j về LISP!nhưng mà mình nhìn 1 cái LISP mà TUE hoặc là THIEP viết dùm mình thì mình thấy rất là nhiều chi tiết nên mình ko biết bắt đầu từ đâu (mình ko biết nó có dàn bài như thế nào ko?hoặc là cấu trúc như thế nào nữa?)mình nghỉ đó là tâm lý chung của người yêu LISP, muốn học LISP nhưng ko có phương hướng!Mong các bạn có kinh nghiệm chia sẽ dùm mình!thân!

Hề hề,
Cái bác Truongthanh này khiêm tốn quá đi.
Bác đã vào tới cái mục này, hẳn bác cũng đã dạo loanh quanh diễn đàn vài chục bận. Trên diễn đàn đã có hẳn một topic hướng dẫn viết lisp mà. Các bài hướng dẫn trên đó của các bác lão thành như SSG, Nguyênhoanh khá đơn giản và đầy đủ.
Thú thực với các bác chứ cái thằng tui cũng bắt đầu chỉ từ diễn đàn này thôi. Sau khi có được cái khoái từ các bài viết đó mới tọc mạch thêm cái tài liệu của cụ Jeff Sanders gì gì đó. Thế rồi là làm thử theo một số yêu cầu của chính bản thân mình, dốt đâu lại hỏi đó. Nhiều khi còn bị mắng nữa ấy chứ. Tuy nhiên sau một hồi cố gắng thì chí ít mình cũng có thể hiểu được cái mà các bác trên diễn đàn biếu tặng. Bước tiếp theo là lần mò theo mót các bác ấy, cố gắng biến cái các bác ấy biếu thành cái của mình, chỗ nào chửa rõ lại hỏi nữa. Tất nhiên là vẫn còn nhiều cái phải học hỏi lắm lắm, nhưng dù sao thì cũng bớt đi được nhiều cái quấy rầy các bác ấy đồng thời cũng có được tí đỉnh cái gọi là của nhà trồng được. Cho dù nó chửa tốt tươi, ngon ngọt như của các bác ấy nhưng cũng làm mình mát ruột những lúc đói lòng các bác ạ. Các cụ bảo của cố là của được nên mình cũng cứ mạo gan mót cố thôi, được củ nào xào củ nấy.
Vậy nên nếu bác hỏi về kinh nghiệm đi mót của mình thì nó chỉ đơn giản có vậy thôi. Rất mong các bác hiểu cho chứ chả phải mình giấu nghề đâu.
Vạn sự khởi đầu nan, nhưng vạn sự muốn thành đều phải có cái khởi đầu cả. Bởi vậy nếu bác muốn học thì cứ mạnh dạn mà lao vào làm thử, thế nào cũng có kết quả thôi, chẳng chóng thì trầy bác ạ. Miễn là mình có quyết tâm thì ắt sẽ có ngày hái quả do mình trồng thôi bác ạ.
Chúc bác chóng thành công.
  • 2
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#59 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 11 September 2009 - 02:54 PM

Nói thiệt với các bạn chứ mình cũng rất muốn biết 1 tí j về LISP!nhưng mà mình nhìn 1 cái LISP mà TUE hoặc là THIEP viết dùm mình thì mình thấy rất là nhiều chi tiết nên mình ko biết bắt đầu từ đâu (mình ko biết nó có dàn bài như thế nào ko?hoặc là cấu trúc như thế nào nữa?)mình nghỉ đó là tâm lý chung của người yêu LISP, muốn học LISP nhưng ko có phương hướng!Mong các bạn có kinh nghiệm chia sẽ dùm mình!thân!

Trên cadviet đã có nhiều bài viết hướng dẫn viết lisp rồi. Riêng mình thì có 1 loạt bài căn bản theo mình là rất dể hiểu :s_big: bạn vào blog của mình (phía dưới chử ký của mình) xem .
  • 2

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#60 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 11 September 2009 - 03:22 PM

Trên cadviet đã có nhiều bài viết hướng dẫn viết lisp rồi. Riêng mình thì có 1 loạt bài căn bản theo mình là rất dể hiểu :s_big: bạn vào blog của mình (phía dưới chử ký của mình) xem .

blog của anh vào ko dc anh ơi!
  • 0